summary refs log tree commit diff
path: root/bin/vipe
diff options
context:
space:
mode:
Diffstat (limited to 'bin/vipe')
-rwxr-xr-xbin/vipe6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/vipe b/bin/vipe
new file mode 100755
index 0000000..05d4eb3
--- /dev/null
+++ b/bin/vipe
@@ -0,0 +1,6 @@
+#!/bin/bash
+tmpfile=$(mktemp /tmp/vipe.XXXXX)
+trap '{ rm -rf "${tmpfile}"; }' EXIT
+cat >"${tmpfile}"
+${EDITOR} "${tmpfile}" </dev/tty >/dev/tty
+cat "${tmpfile}"